For the complete documentation index, see llms.txt. This page is also available as Markdown.

Product

Get the list of products

get

This is for fetching the list of products.

Query parameters
limitintegerRequired
offsetintegerOptional
keywordstringRequired
priceintegerOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got product lists count. " or " Successfully got the complete product list.
get/product
GET /product?limit=1&keyword=text HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got product lists count. \" or \" Successfully got the complete product list."
}

Add new product

post

This is for adding a new product.

Header parameters
AuthorizationstringRequired
Body
productNamestringOptional
productDescriptionstringOptional
skustringOptional
upcstringOptional
hsnstringOptional
productSlugstringOptional
metaTagTitlestringOptional
metaTagDescriptionstringOptional
metaTagKeywordstringOptional
categoryIdinteger · int32[]Optional
imagestringOptional
pricestringOptional
quantityinteger · int32Optional
outOfStockStatusinteger · int32Optional
requiredShippinginteger · int32Optional
dateAvailablestringOptional
statusinteger · int32Optional
sortOrderinteger · int32Optional
quotationAvailableinteger · int32Optional
defaultImageinteger · int32Optional
relatedProductIdstringOptional
packingCostinteger · int32Optional
shippingCoststring · int32Optional
taxinteger · int32Optional
taxTypeinteger · int32Optional
othersinteger · int32Optional
heightstringOptional
weightstringOptional
widthstringOptional
lengthstringOptional
hasTirePriceinteger · int32Optional
Responses
200

success response

application/json
namestringOptional
descriptionstringOptional
productSlugstringOptional
skustringOptional
upcstringOptional
hsnstringOptional
quantityintegerOptional
quotationAvailableintegerOptional
serviceChargesstringOptional
pricestringOptional
taxTypeintegerOptional
taxValueintegerOptional
stockStatusIdintegerOptional
skuIdintegerOptional
shippingintegerOptional
dateAvailablestringOptional
metaTagTitlestringOptional
metaTagDescriptionstringOptional
metaTagKeywordstringOptional
isActiveintegerOptional
isFeaturedintegerOptional
todayDealsintegerOptional
sortOrderintegerOptional
heightstringOptional
weightstringOptional
lengthstringOptional
widthstringOptional
hasTirePriceintegerOptional
keywordsstringOptional
ownerintegerOptional
createdByintegerOptional
createdDatestring · date-timeOptional
productIdintegerOptional
isSimplifiedintegerOptional
modifiedDatestring · date-timeOptional
post/product
POST /product HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 1004

"productName='text'&productDescription='text'&sku='text'&upc='text'&hsn='text'&productSlug='text'&metaTagTitle='text'&metaTagDescription='text'&metaTagKeyword='text'&categoryId=[1]&image='text'&price='text'&quantity=1&outOfStockStatus=1&requiredShipping=1&dateAvailable='text'&status=1&sortOrder=1&quotationAvailable=1&defaultImage=1&relatedProductId='text'&packingCost=1&shippingCost='text'&tax=1&taxType=1&others=1&height='text'&weight='text'&width='text'&length='text'&hasTirePrice=1&productDiscount=[{'discountPriority':1,'discountPrice':1,'discountDateStart':'2026-01-01T00:00:00.000Z','discountDateEnd':'2026-01-01T00:00:00.000Z'}]&productSpecial=[{'specialPriority':1,'specialPrice':1,'specialDateStart':'2026-01-01T00:00:00.000Z','specialDateEnd':'2026-01-01T00:00:00.000Z'}]&tirePrices=[{'quantity':1,'price':'text'}]&productAttribute=[{'attributeId':1,'text':'text'}]&productVideo=[{'name':'text','path':'text','type':1}]"
{
  "name": "text",
  "description": "text",
  "productSlug": "text",
  "sku": "text",
  "upc": "text",
  "hsn": "text",
  "quantity": 1,
  "quotationAvailable": 1,
  "serviceCharges": "text",
  "price": "text",
  "taxType": 1,
  "taxValue": 1,
  "stockStatusId": 1,
  "skuId": 1,
  "shipping": 1,
  "dateAvailable": "text",
  "metaTagTitle": "text",
  "metaTagDescription": "text",
  "metaTagKeyword": "text",
  "isActive": 1,
  "isFeatured": 1,
  "todayDeals": 1,
  "sortOrder": 1,
  "height": "text",
  "weight": "text",
  "length": "text",
  "width": "text",
  "hasTirePrice": 1,
  "keywords": "text",
  "owner": 1,
  "createdBy": 1,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "productId": 1,
  "isSimplified": 1,
  "modifiedDate": "2026-01-01T00:00:00.000Z"
}

Update product

post

This is for updating an already added product.

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Body
productIdinteger · int32Optional
productNamestringOptional
productDescriptionstringOptional
skustringOptional
upcstringOptional
hsnstringOptional
productSlugstringOptional
metaTagTitlestringOptional
metaTagDescriptionstringOptional
metaTagKeywordstringOptional
categoryIdinteger · int32[]Optional
imagestringOptional
pricestringOptional
quantityinteger · int32Optional
outOfStockStatusinteger · int32Optional
requiredShippinginteger · int32Optional
dateAvailablestringOptional
statusinteger · int32Optional
sortOrderinteger · int32Optional
quotationAvailableinteger · int32Optional
defaultImageinteger · int32Optional
relatedProductIdstringOptional
packingCostinteger · int32Optional
shippingCoststring · int32Optional
taxinteger · int32Optional
taxTypeinteger · int32Optional
othersinteger · int32Optional
heightstringOptional
weightstringOptional
widthstringOptional
lengthstringOptional
hasTirePriceinteger · int32Optional
Responses
200

success response

application/json
createdByintegerOptional
createdDatestring · date-timeOptional
modifiedByintegerOptional
modifiedDatestring · date-timeOptional
productIdintegerOptional
skustringOptional
upcstringOptional
hsnstringOptional
locationstringOptional
quantityintegerOptional
minimumQuantityintegerOptional
subtractStockintegerOptional
stockStatusIdintegerOptional
quotationAvailableintegerOptional
imagestringOptional
imagePathstringOptional
manufacturerIdintegerOptional
shippingintegerOptional
serviceChargesstringOptional
taxTypeintegerOptional
taxValueintegerOptional
pricestringOptional
priceUpdateFileLogIdintegerOptional
dateAvailablestringOptional
sortOrderintegerOptional
namestringOptional
descriptionstringOptional
amountstringOptional
metaTagTitlestringOptional
metaTagDescriptionstringOptional
metaTagKeywordstringOptional
keywordsstringOptional
discountstringOptional
deleteFlagintegerOptional
isFeaturedintegerOptional
todayDealsintegerOptional
conditionintegerOptional
ratingintegerOptional
wishListStatusintegerOptional
productSlugstringOptional
isActiveintegerOptional
widthstringOptional
heightstringOptional
lengthstringOptional
weightstringOptional
hasStockintegerOptional
isSimplifiedintegerOptional
ownerintegerOptional
isCommonintegerOptional
skuIdintegerOptional
hasTirePriceintegerOptional
outOfStockThresholdintegerOptional
notifyMinQuantityintegerOptional
minQuantityAllowedCartintegerOptional
maxQuantityAllowedCartintegerOptional
enableBackOrdersintegerOptional
pincodeBasedDeliveryintegerOptional
attributeKeywordstringOptional
settedAsCommonOnstringOptional
productCostintegerOptional
packingCostintegerOptional
shippingCostintegerOptional
othersintegerOptional
priceWithTaxintegerOptional
productSpecialPricearrayOptionalDefault: [ ]
productDiscountDataarrayOptionalDefault: [ ]
productTirePricesarrayOptionalDefault: [ ]
post/product/update-product/{id}
POST /product/update-product/{id} HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 1018

"productId=1&productName='text'&productDescription='text'&sku='text'&upc='text'&hsn='text'&productSlug='text'&metaTagTitle='text'&metaTagDescription='text'&metaTagKeyword='text'&categoryId=[1]&image='text'&price='text'&quantity=1&outOfStockStatus=1&requiredShipping=1&dateAvailable='text'&status=1&sortOrder=1&quotationAvailable=1&defaultImage=1&relatedProductId='text'&packingCost=1&shippingCost='text'&tax=1&taxType=1&others=1&height='text'&weight='text'&width='text'&length='text'&hasTirePrice=1&productDiscount=[{'discountPriority':1,'discountPrice':1,'discountDateStart':'2026-01-01T00:00:00.000Z','discountDateEnd':'2026-01-01T00:00:00.000Z'}]&productSpecial=[{'specialPriority':1,'specialPrice':1,'specialDateStart':'2026-01-01T00:00:00.000Z','specialDateEnd':'2026-01-01T00:00:00.000Z'}]&tirePrices=[{'quantity':1,'price':'text'}]&productAttribute=[{'attributeId':1,'text':'text'}]&productVideo=[{'name':'text','path':'text','type':1}]"
{
  "createdBy": 1,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedBy": 1,
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "productId": 1,
  "sku": "text",
  "upc": "text",
  "hsn": "text",
  "location": "text",
  "quantity": 1,
  "minimumQuantity": 1,
  "subtractStock": 1,
  "stockStatusId": 1,
  "quotationAvailable": 1,
  "image": "text",
  "imagePath": "text",
  "manufacturerId": 1,
  "shipping": 1,
  "serviceCharges": "text",
  "taxType": 1,
  "taxValue": 1,
  "price": "text",
  "priceUpdateFileLogId": 1,
  "dateAvailable": "text",
  "sortOrder": 1,
  "name": "text",
  "description": "text",
  "amount": "text",
  "metaTagTitle": "text",
  "metaTagDescription": "text",
  "metaTagKeyword": "text",
  "keywords": "text",
  "discount": "text",
  "deleteFlag": 1,
  "isFeatured": 1,
  "todayDeals": 1,
  "condition": 1,
  "rating": 1,
  "wishListStatus": 1,
  "productSlug": "text",
  "isActive": 1,
  "width": "text",
  "height": "text",
  "length": "text",
  "weight": "text",
  "hasStock": 1,
  "isSimplified": 1,
  "owner": 1,
  "isCommon": 1,
  "skuId": 1,
  "hasTirePrice": 1,
  "outOfStockThreshold": 1,
  "notifyMinQuantity": 1,
  "minQuantityAllowedCart": 1,
  "maxQuantityAllowedCart": 1,
  "enableBackOrders": 1,
  "pincodeBasedDelivery": 1,
  "attributeKeyword": "text",
  "settedAsCommonOn": "text",
  "productCost": 1,
  "packingCost": 1,
  "shippingCost": 1,
  "others": 1,
  "priceWithTax": 1,
  "productImage": [
    {
      "productId": 1,
      "image": "text",
      "containerName": "text",
      "defaultImage": 1
    }
  ],
  "Category": [
    {
      "createdBy": 1,
      "createdDate": "2026-01-01T00:00:00.000Z",
      "modifiedBy": 1,
      "modifiedDate": "2026-01-01T00:00:00.000Z",
      "categoryId": 1,
      "name": "text",
      "image": "text",
      "imagePath": "text",
      "parentInt": 1,
      "sortOrder": 1,
      "metaTagTitle": "text",
      "metaTagDescription": "text",
      "metaTagKeyword": "text",
      "categorySlug": "text",
      "isActive": "text",
      "categoryDescription": "text",
      "levels": "text"
    }
  ],
  "productSpecialPrice": "[ ]",
  "productDiscountData": "[ ]",
  "productTirePrices": "[ ]",
  "productVideo": {
    "id": 1,
    "productId": 1,
    "name": "text",
    "path": 1,
    "type": 1
  }
}

Product detail page

get

This is for getting the detail page of the product, after clicking on a product from the list page.

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully get productDetail
get/product/product-detail/{id}
GET /product/product-detail/{id} HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully get productDetail"
}

List of Top Selling Products

get

This is for fetching the list of Top Selling Products.

Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully get Top Selling Product..!
get/product/top-selling-productlist
GET /product/top-selling-productlist HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully get Top Selling Product..!"
}

List of Top five repeating customers

get

This is for fetching the list of Top five repeating customers.

Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got the top 5 repeatedly purchased customer..!
get/product/top-five-repeatedly-purchased-customers
GET /product/top-five-repeatedly-purchased-customers HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the top 5 repeatedly purchased customer..!"
}

List of Top performing products

get

This is for fetching the list of Top five performing products.

Query parameters
limitintegerRequired
offsetintegerOptional
countintegerOptional
durationintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got the top performing product list
get/product/top-performing-products
GET /product/top-performing-products?limit=1&duration=1 HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got the top performing product list"
}

Recently sold products

get

This is for getting the list of recently sold products.

Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: successfully listed recently selling products..!
get/product/recent-selling-product
GET /product/recent-selling-product HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "successfully listed recently selling products..!"
}

View Log List

get

This is for viewing the log list in admin.

Query parameters
limitintegerRequired
offsetintegerOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got view log count " or " Successfully got view log List
get/product/viewLog-list
GET /product/viewLog-list?limit=1 HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got view log count \" or \" Successfully got view log List"
}

Customer product view list

get

This is for getting the list of product views.

Path parameters
idintegerRequired
Query parameters
limitintegerRequired
offsetintegerOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got view log count " or " Successfully got view log List
get/product/customerProductView-list/{id}
GET /product/customerProductView-list/{id}?limit=1 HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got view log count \" or \" Successfully got view log List"
}

List of products in excel

get

This is for getting the list of products that are listed in the excel sheet.

Query parameters
productIdintegerOptional
Header parameters
AuthorizationstringRequired
Responses
400

error response

*/*
statusintegerOptional
messagestringOptionalDefault: Invalid productId
get/product/product-excel-list
GET /product/product-excel-list HTTP/1.1
Authorization: text
Accept: */*
400

error response

{
  "status": 1,
  "message": "Invalid productId"
}

All product excel sheet

get

This is for getting the list of all products that are listed, in the excel sheet.

Header parameters
AuthorizationstringRequired
Responses
400

error response

*/*
statusintegerOptional
messagestringOptionalDefault: Products are empty
get/product/allproduct-excel-list
GET /product/allproduct-excel-list HTTP/1.1
Authorization: text
Accept: */*
400

error response

{
  "status": 1,
  "message": "Products are empty"
}

Delete an added product

delete

This is for deleting an already added product, if not needed anymore.

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully deleted the Product.
delete/product/{id}
DELETE /product/{id} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully deleted the Product."
}

Delete multiple product

post

This

Header parameters
AuthorizationstringRequired
Body
productIdinteger · int32[]Optional
Responses
200

success response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully deleted the Product
post/product/delete-product
POST /product/delete-product HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 17

"productId=[1]"
{
  "status": 1,
  "message": "Successfully deleted the Product"
}

Update slug for the product page

put

This is for updating the slug for the product page.

Header parameters
AuthorizationstringRequired
Responses
200

success response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully updated the product slug.
put/product/update-product-slug
PUT /product/update-product-slug HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully updated the product slug."
}

Total product count

get

This is for getting the count for total products in the eCommerce portal.

Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: successfully got the product count.
get/product/product-count
GET /product/product-count HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "successfully got the product count."
}

Import product data

post

This is for importing the product data into excel sheet.

Header parameters
AuthorizationstringRequired
Body
filestring · binaryRequired
Responses
200

success response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Product Imported Successfully
post/product/import-product-data
POST /product/import-product-data HTTP/1.1
Authorization: text
Content-Type: multipart/form-data
Accept: */*
Content-Length: 17

{
  "file": "binary"
}
{
  "status": 1,
  "message": "Product Imported Successfully"
}

Download product sample

get

This is for downloading the product sample.

Header parameters
AuthorizationstringRequired
Responses
200

success response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: successfully downloaded the zip file
get/product/download-product-sample
GET /product/download-product-sample HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "successfully downloaded the zip file"
}

Stock update

post

This is for updating the stock for a product.

Header parameters
AuthorizationstringRequired
Body
productIdinteger · int32Optional
hasStockinteger · int32Optional
Responses
200

success response

application/json
createdByintegerOptionalDefault: 1
createdDatestring · date-timeOptional
modifiedByintegerOptional
modifiedDatestring · date-timeOptional
productIdintegerOptional
skustringOptional
upcstringOptional
hsnstringOptional
locationstringOptional
quantityintegerOptional
minimumQuantityintegerOptional
subtractStockintegerOptional
stockStatusIdintegerOptional
quotationAvailableintegerOptional
imagestringOptional
imagePathstringOptional
manufacturerIdintegerOptional
shippingintegerOptional
serviceChargesstringOptional
taxTypeintegerOptional
taxValueintegerOptional
pricestringOptional
priceUpdateFileLogIdintegerOptional
dateAvailablestringOptional
sortOrderintegerOptional
namestringOptional
descriptionstringOptional
amountstringOptional
metaTagTitlestringOptional
metaTagDescriptionstringOptional
metaTagKeywordstringOptional
keywordsstringOptional
discountstringOptional
deleteFlagintegerOptional
isFeaturedintegerOptional
todayDealsintegerOptional
conditionintegerOptional
ratingintegerOptional
wishListStatusintegerOptional
productSlugstringOptional
isActiveintegerOptional
widthstringOptional
heightstringOptional
lengthstringOptional
weightstringOptional
hasStockintegerOptional
isSimplifiedintegerOptional
ownerintegerOptional
isCommonintegerOptional
skuIdintegerOptional
hasTirePriceintegerOptional
outOfStockThresholdstringOptional
notifyMinQuantityintegerOptional
minQuantityAllowedCartintegerOptional
maxQuantityAllowedCartintegerOptional
enableBackOrdersintegerOptional
pincodeBasedDeliveryintegerOptional
attributeKeywordstringOptional
settedAsCommonOnstringOptional
post/product/update-stock
POST /product/update-stock HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 178

"productId=1&hasStock=1&productStock=[{'skuId':1,'outOfStockThreshold':1,'notifyMinQuantity':1,'minQuantityAllowedCart':1,'maxQuantityAllowedCart':1,'enableBackOrders':1}]"
{
  "createdBy": 1,
  "createdDate": "2026-01-01T00:00:00.000Z",
  "modifiedBy": 1,
  "modifiedDate": "2026-01-01T00:00:00.000Z",
  "productId": 1,
  "sku": "text",
  "upc": "text",
  "hsn": "text",
  "location": "text",
  "quantity": 1,
  "minimumQuantity": 1,
  "subtractStock": 1,
  "stockStatusId": 1,
  "quotationAvailable": 1,
  "image": "text",
  "imagePath": "text",
  "manufacturerId": 1,
  "shipping": 1,
  "serviceCharges": "text",
  "taxType": 1,
  "taxValue": 1,
  "price": "text",
  "priceUpdateFileLogId": 1,
  "dateAvailable": "text",
  "sortOrder": 1,
  "name": "text",
  "description": "text",
  "amount": "text",
  "metaTagTitle": "text",
  "metaTagDescription": "text",
  "metaTagKeyword": "text",
  "keywords": "text",
  "discount": "text",
  "deleteFlag": 1,
  "isFeatured": 1,
  "todayDeals": 1,
  "condition": 1,
  "rating": 1,
  "wishListStatus": 1,
  "productSlug": "text",
  "isActive": 1,
  "width": "text",
  "height": "text",
  "length": "text",
  "weight": "text",
  "hasStock": 1,
  "isSimplified": 1,
  "owner": 1,
  "isCommon": 1,
  "skuId": 1,
  "hasTirePrice": 1,
  "outOfStockThreshold": "text",
  "notifyMinQuantity": 1,
  "minQuantityAllowedCart": 1,
  "maxQuantityAllowedCart": 1,
  "enableBackOrders": 1,
  "pincodeBasedDelivery": 1,
  "attributeKeyword": "text",
  "settedAsCommonOn": "text"
}

Add tire price

post

This is for adding tier price for a product.

Header parameters
AuthorizationstringRequired
Body
hasTirePriceinteger · int32Optional
quantityinteger · int32Required
pricestringRequired
productIdinteger · int32Required
Responses
200

success response

application/json
productIdstringOptionalDefault: 1
quantitystringOptional
pricestringOptional
createdDatestring · date-timeOptional
idintegerOptional
post/product/add-tire-price
POST /product/add-tire-price HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 60

"hasTirePrice=1&quantity=1&price='text'&productId=1"
{
  "productId": 1,
  "quantity": "text",
  "price": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "id": 1
}

delete tire price

delete

This is for deleting a tier price, when not needed anymore.

Path parameters
idintegerRequired
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully deleted.
delete/product/delete-tire-price/{id}
DELETE /product/delete-tire-price/{id} HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully deleted."
}

Get product tier price list

get

This is for fetching the tier price list for a product.

Query parameters
productIdintegerRequired
limitintegerRequired
offsetintegerOptional
countstringOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully Get product tire price
get/product/get-product-tire-price-list
GET /product/get-product-tire-price-list?productId=1&limit=1 HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully Get product tire price"
}

Inventory product list

get

This is for getting the list for the products to update inventory.

Query parameters
limitintegerRequired
offsetintegerOptional
keywordstringRequired
skustringRequired
statusstringRequired
priceintegerOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: ""
get/product/inventory-product-list
GET /product/inventory-product-list?limit=1&keyword=text&sku=text&status=text HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": ""
}

Update SKU

post

This is for updating the SKU for a product.

Header parameters
AuthorizationstringRequired
Body
limitinteger · int32Optional
offsetinteger · int32Optional
Responses
200

success response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully updated Sku
post/product/update-sku
POST /product/update-sku  HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 22

"limit=1&offset=1"
{
  "status": 1,
  "message": "Successfully updated Sku"
}

This is for updating the owner product list.

get

Update owner product list

Query parameters
limitintegerRequired
offsetintegerOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got count " or " Successfully got the complete product list.
get/product/update-owner-product-list
GET /product/update-owner-product-list?limit=1 HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got count \" or \" Successfully got the complete product list."
}

This is for updating the vendor sku list.

get

Update vendor sku list

Query parameters
limitintegerRequired
offsetintegerOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got the complete product list.
get/product/update-vendor-sku-list
GET /product/update-vendor-sku-list?limit=1 HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the complete product list. "
}

Last updated